<template>
  <v-container fluid>
    <v-form fast-fail @submit.prevent="submitForm" class="custom">
      <v-row>
        <v-col>
          <div class="custom-label">UWY </div><br>
          <v-text-field class="text-eureko" :disabled="true" variant="outlined" :value="currentYear"
            type="number"></v-text-field>
          <div class="custom-label">Trete </div><br>
          <v-combobox class="custom-combobox" :items="trete" variant="outlined" v-model="selectedTrete"></v-combobox>
        </v-col>

        <v-col>
          <div class="custom-label">Reasuror </div>
          <v-combobox class="custom-combobox" :items="reasuror" variant="outlined"
            v-model="selectedReasuror"></v-combobox>
          <div class="custom-label">Perioad </div><br>
          <v-combobox class="custom-combobox " :items="['Çeyrek', 'Yarıyıl', 'Yıl']" variant="outlined"
            v-model="selectedPeriod"></v-combobox>
        </v-col>

        <v-col>
          <div class="custom-label">Gün/Ay </div><br>
          <v-combobox class="custom-combobox " :items="['Ay', 'Gün']" variant="outlined"
            v-model="selectedDayOrMonth"></v-combobox>
          <div class="custom-label">Süre </div>
          <v-text-field class="text-eureko" :disabled="false" variant="outlined" v-model="time"
            type="number"></v-text-field>
        </v-col>
      </v-row>

      <v-row>
        <v-col cols="12" md="12" justify="end" class="text-right">

          <custom-button style="width: 120px;margin-left: 10px" color="secondary" size="medium" @click="save()"
            val="Yeni" />
        </v-col>
      </v-row>

    </v-form>
  </v-container>
</template>
<script>
import CustomButton from '@/components/custom-controller/CustomButton.vue';
import { ref, reactive } from 'vue'
import axios from 'axios';
export default {
  components: {
    CustomButton
  },
  setup() {
    const currentYear = ref(new Date().getFullYear().toString());
    const trete = ref(['trete', 'trete', 'trete', 'trete', 'trete', 'trete', 'trete']);
    const reasuror = ref(['resuror', 'resuror', 'resuror', 'resuror', 'resuror', 'treresurorte', 'resuror']);
    const form = reactive({
      currentYear: "",
      selectedTrete: "",
      selectedReasuror: "",
      selectedPeriod: "",
      selectedDayOrMonth: "",
      time: ""
    });


    const save = () => {
      const PostForm = Object.fromEntries(
        Object.entries(form).filter(entry => entry[1] !== null)
      );

      try {
        const response = axios.post('https://api.example.com/endpoint', PostForm);
        console.log(response.data);
      } catch (error) {
        console.error(error);
      }
    }

    return {
      currentYear,
      trete,
      reasuror,
      form,
      save
    }
  }
}
</script>
